MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
FormatString.hxx File Reference
`#include "Compiler.h"`
`#include <stdarg.h>`
Include dependency graph for FormatString.hxx:

Go to the source code of this file.

## Data Structures
class | AllocatedString< T >
| A string pointer whose memory is managed by this class. More...

## Functions
gcc_nonnull_all AllocatedString< char > | FormatStringV (const char *fmt, va_list args)
| Format into a newly allocated string. More...
| gcc_nonnull (1) gcc_printf(1
| Format into a newly allocated string. More...
AllocatedString< char > | FormatString (const char *fmt,...)

## Function Documentation

AllocatedString<char> FormatString | ( | const char * | fmt,
|  |  | ...
| ) |  |

gcc_nonnull_all AllocatedString<char> FormatStringV | ( | const char * | fmt,
|  | va_list | args
| ) |  |

Format into a newly allocated string.

The caller frees the return value with delete[].

gcc_nonnull | ( | 1 |  | ) |

Format into a newly allocated string.

The caller frees the return value with delete[].